@import "../global";

header {
	top: 0;
	height: 100%;
	user-select: none;
}

:global(#header-container) {
	z-index: 40;

	&.mobile {
		position: fixed;
		height: 100%;

		&.header-animation {
			transition: left 0.4s ease-in-out, width 0.4s ease-in-out;
			left: -100%;

			&.header-animation-active {
				left: 0%;
			}
		}

		> .header-button-container {

			@hamburger-button__width: 20px;
			@hamburger-button__height: 3px;
			@hamburger-button__padding: 7px;

			position: fixed;
			top: 15px;
			left: 15px;

			height: @hamburger-button__height * 3 + @hamburger-button__padding * 2 + 1px;

			> .header-button {

				&:after, &:before {
					#pseudoelement.default();
				}

				&, &:after, &:before {
					height: @hamburger-button__height;
					width: @hamburger-button__width;
					background: @hamburger-button__color;
				}
				&:before {
					bottom: @hamburger-button__padding;
				}
	
				&:after {
					top: @hamburger-button__padding;
				}
			}
		}


		> nav, > .header-button {
			z-index: 50;
		}

		> .header-overlay {
			background: rgba(0, 0, 0, 0);
			transition: background 0.4s ease-in-out;
			transition-delay: 0.4s;
		}

		&.header-animation-active > .header-overlay {
			position: fixed;
			z-index: 49;
			width: 100%;
			height: 100%;
			top: 0;
			left: 0;
			background: rgba(0, 0, 0, .2);
		}
	}
}

nav.navHeader {
	height: 100%;
	width: 100%;

	background: @header-background;

	box-shadow: 1px 2px 3px 2px rgba(128, 128, 128, 0.5);

	> .titleContainer {
		background: @header-title-container__background;
		height: 92px;

		> h2 {
			font-weight: 300;
			margin: 0;
			position: relative;
			top: 0;
			top: 50%;
			text-align: center;
			transform: translateY(-50%);
			color: @header-title-container__foreground
		}
	}

	> h2, > ul {
		margin: 0;
		padding: 0;
	}

	> ul {
		list-style-type: none;
		width: 100%;

		> li {
			height: 100%;
			width: 100%;

			> a {
				border: 0;
				text-indent: 15px;
				display: inline-block;
				vertical-align: middle;
				height: 100%;
				line-height: 300%;
				text-decoration: none;
				width: 100%;
				position: relative;
				
				&:global(.active) {
					color: @nav-selected;
					background: @nav-selected-background;
				}

				&, &:visited:not(:global(.active)) { 
					color: @nav-color;
				}

				&:not(:global(.active)) {
					transition: color 0.4s ease-out;

					&:before {
						#pseudoelement.default();
						width: 0%;

						background: fade(@nav-selected-background, 25%);
						
						transition: width 0.4s ease-out;
					}

					&:hover {
						color: @nav-selected;

						&:before {
							width: 100%;
						}
					}
				}

				> img {
					height: 24px;
					width: 24px;
					position: relative;
					top: 6px;
					right: 5px;
				}

				> span:global(.isvg) > svg {
					position: relative;
					top: 5px;
					right: 5px;
				}
			}

		}

	}
}